Mailinglist Archive: opensuse-security-announce (28 mails)

< Previous Next >
[security-announce] SUSE-SU-2012:0033-1: important: Security update for glibc
SUSE Security Update: Security update for glibc
______________________________________________________________________________

Announcement ID: SUSE-SU-2012:0033-1
Rating: important
References: #678195 #735850
Cross-References: CVE-2009-5029
Affected Products:
SUSE Linux Enterprise Software Development Kit 11 SP1
SUSE Linux Enterprise Server 11 SP1 for VMware
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Desktop 11 SP1
______________________________________________________________________________

An update that solves one vulnerability and has one errata
is now available.

Description:


The following bug has been fixed:

* Specially crafted time zone files could cause a heap
overflow in glibc.

Security Issue reference:

* CVE-2009-5029
<http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-5029
>


Patch Instructions:

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Software Development Kit 11 SP1:

zypper in -t patch sdksp1-glibc-5555

- SUSE Linux Enterprise Server 11 SP1 for VMware:

zypper in -t patch slessp1-glibc-5555

- SUSE Linux Enterprise Server 11 SP1:

zypper in -t patch slessp1-glibc-5555

- SUSE Linux Enterprise Desktop 11 SP1:

zypper in -t patch sledsp1-glibc-5555

To bring your system up-to-date, use "zypper patch".


Package List:

- SUSE Linux Enterprise Software Development Kit 11 SP1 (i586 x86_64):

glibc-html-2.11.1-0.34.1
glibc-info-2.11.1-0.34.1

- SUSE Linux Enterprise Server 11 SP1 for VMware (i586 i686 x86_64):

glibc-2.11.1-0.34.1
glibc-devel-2.11.1-0.34.1

- SUSE Linux Enterprise Server 11 SP1 for VMware (i586 x86_64):

glibc-html-2.11.1-0.34.1
glibc-i18ndata-2.11.1-0.34.1
glibc-info-2.11.1-0.34.1
glibc-locale-2.11.1-0.34.1
glibc-profile-2.11.1-0.34.1
nscd-2.11.1-0.34.1

- SUSE Linux Enterprise Server 11 SP1 for VMware (x86_64):

glibc-32bit-2.11.1-0.34.1
glibc-devel-32bit-2.11.1-0.34.1
glibc-locale-32bit-2.11.1-0.34.1
glibc-profile-32bit-2.11.1-0.34.1

- SUSE Linux Enterprise Server 11 SP1 (i586 i686 ia64 ppc64 s390x x86_64):

glibc-2.11.1-0.34.1
glibc-devel-2.11.1-0.34.1

- SUSE Linux Enterprise Server 11 SP1 (i586 ia64 ppc64 s390x x86_64):

glibc-html-2.11.1-0.34.1
glibc-i18ndata-2.11.1-0.34.1
glibc-info-2.11.1-0.34.1
glibc-locale-2.11.1-0.34.1
glibc-profile-2.11.1-0.34.1
nscd-2.11.1-0.34.1

- SUSE Linux Enterprise Server 11 SP1 (ppc64 s390x x86_64):

glibc-32bit-2.11.1-0.34.1
glibc-devel-32bit-2.11.1-0.34.1
glibc-locale-32bit-2.11.1-0.34.1
glibc-profile-32bit-2.11.1-0.34.1

- SUSE Linux Enterprise Server 11 SP1 (ia64):

glibc-locale-x86-2.11.1-0.34.1
glibc-profile-x86-2.11.1-0.34.1
glibc-x86-2.11.1-0.34.1

- SUSE Linux Enterprise Desktop 11 SP1 (i586 i686 x86_64):

glibc-2.11.1-0.34.1
glibc-devel-2.11.1-0.34.1

- SUSE Linux Enterprise Desktop 11 SP1 (i586 x86_64):

glibc-i18ndata-2.11.1-0.34.1
glibc-locale-2.11.1-0.34.1
nscd-2.11.1-0.34.1

- SUSE Linux Enterprise Desktop 11 SP1 (x86_64):

glibc-32bit-2.11.1-0.34.1
glibc-devel-32bit-2.11.1-0.34.1
glibc-locale-32bit-2.11.1-0.34.1


References:

http://support.novell.com/security/cve/CVE-2009-5029.html
https://bugzilla.novell.com/678195
https://bugzilla.novell.com/735850

http://download.novell.com/patch/finder/?keywords=465d0206a0a64cb1c71ef81d34e113c1

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages